package com.fusesource.camel.exercises.ftp;

import java.util.List;
import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.component.file.FileComponent;
import org.apache.camel.processor.idempotent.MemoryMessageIdRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.BeanInitializationException;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;
import org.apache.camel.ProducerTemplate;

public class RkRouter extends RouteBuilder implements InitializingBean , DisposableBean {
	
	String sourceUri, targetUri;
	public void configure() throws Exception {		
		from(sourceUri).to(targetUri);
		from(targetUri).process(new Processor() {
			public void process(Exchange e) {
				System.out.println("Got = " + e.getIn());
			}
		});
	}

	public void afterPropertiesSet() throws Exception {				;
		sourceUri = "activemq:queue:test.queue";
		targetUri = "file://SilkSmitha.txt";
		spray(); 
	}

	public void destroy() throws Exception {
	}
	
	public void spray() {
	      ProducerTemplate pt = getContext().createProducerTemplate();
		  for (int i = 0; i < 10; i++) {
		   pt.sendBody(sourceUri, "Test Message " + i);
		  }
	}
}
